Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Interface ConnectionParameterBuffer

All Superinterfaces:
  `Iterable<Parameter>`, `ParameterBuffer`, `Serializable`

All Known Subinterfaces:
  `DatabaseParameterBuffer`, `ServiceParameterBuffer`

All Known Implementing Classes:
  `DatabaseParameterBufferImp`, `ServiceParameterBufferImp`

public interface ConnectionParameterBuffer extends ParameterBuffer

Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`Encoding`
`getDefaultEncoding()`
`ParameterTagMapping`
`getTagMapping()`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

## Method Details

### getTagMapping

ParameterTagMapping getTagMapping()

Returns:
  The tag mapping.

### getDefaultEncoding

Encoding getDefaultEncoding()

Returns:
  The default encoding of string properties in this parameter buffer.